<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2018
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

/**
 * FormElementComplex
 *
 * @author pherrera
 */
class FormElementComplex {

    private $objClass;
    private $label;
    private $name;
    private $width;
    private $height;
    private $type;
    private $value;
    private $style;
    private $data;
    private $transition = "";
    private $placeholder;
    private $readonly;
    private $parentElement;
    private $folderPath;
    private $folderUuid;
    private $documentName;
    private $documentUuid;
    private $confirmation;
    private $timeFormat;
    private $elements = [];
    private $revokedUsers = [];
    private $revokedRoles = [];
    private $validators = [];
    private $options = [];
    private $nodes = [];

    function __construct() {
        
    }

    public function getObjClass() {
        return $this->objClass;
    }

    public function getLabel() {
        return $this->label;
    }

    public function getName() {
        return $this->name;
    }

    public function getWidth() {
        return $this->width;
    }

    public function getHeight() {
        return $this->height;
    }

    public function getType() {
        return $this->type;
    }

    public function getValue() {
        return $this->value;
    }

    public function getStyle() {
        return $this->style;
    }

    public function getData() {
        return $this->data;
    }

    public function getTransition() {
        return $this->transition;
    }

    public function getPlaceholder() {
        return $this->placeholder;
    }

    public function getReadonly() {
        return $this->readonly;
    }

    public function getParentElement() {
        return $this->parentElement;
    }

    public function getFolderPath() {
        return $this->folderPath;
    }

    public function getFolderUuid() {
        return $this->folderUuid;
    }

    public function getDocumentName() {
        return $this->documentName;
    }

    public function getDocumentUuid() {
        return $this->documentUuid;
    }

    public function getConfirmation() {
        return $this->confirmation;
    }

    public function getTimeFormat() {
        return $this->timeFormat;
    }

    public function getElements() {
        return $this->elements;
    }

    public function getRevokedUsers() {
        return $this->revokedUsers;
    }

    public function getRevokedRoles() {
        return $this->revokedRoles;
    }

    public function getValidators() {
        return $this->validators;
    }

    public function getOptions() {
        return $this->options;
    }

    public function getNodes() {
        return $this->nodes;
    }

    public function setObjClass($objClass): void {
        $this->objClass = $objClass;
    }

    public function setLabel($label): void {
        $this->label = $label;
    }

    public function setName($name): void {
        $this->name = $name;
    }

    public function setWidth($width): void {
        $this->width = $width;
    }

    public function setHeight($height): void {
        $this->height = $height;
    }

    public function setType($type): void {
        $this->type = $type;
    }

    public function setValue($value): void {
        $this->value = $value;
    }

    public function setStyle($style): void {
        $this->style = $style;
    }

    public function setData($data): void {
        $this->data = $data;
    }

    public function setTransition($transition): void {
        $this->transition = $transition;
    }

    public function setPlaceholder($placeholder): void {
        $this->placeholder = $placeholder;
    }

    public function setReadonly($readonly): void {
        $this->readonly = $readonly;
    }

    public function setParentElement($parentElement): void {
        $this->parentElement = $parentElement;
    }

    public function setFolderPath($folderPath): void {
        $this->folderPath = $folderPath;
    }

    public function setFolderUuid($folderUuid): void {
        $this->folderUuid = $folderUuid;
    }

    public function setDocumentName($documentName): void {
        $this->documentName = $documentName;
    }

    public function setDocumentUuid($documentUuid): void {
        $this->documentUuid = $documentUuid;
    }

    public function setConfirmation($confirmation): void {
        $this->confirmation = $confirmation;
    }

    public function setTimeFormat($timeFormat): void {
        $this->timeFormat = $timeFormat;
    }

    public function setElements($elements): void {
        $this->elements = $elements;
    }

    public function setRevokedUsers($revokedUsers): void {
        $this->revokedUsers = $revokedUsers;
    }

    public function setRevokedRoles($revokedRoles): void {
        $this->revokedRoles = $revokedRoles;
    }

    public function setValidators($validators): void {
        $this->validators = $validators;
    }

    public function setOptions($options): void {
        $this->options = $options;
    }

    public function setNodes($nodes): void {
        $this->nodes = $nodes;
    }

}
